## org.hibernate.id
Interface CompositeNestedGeneratedValueGenerator.GenerationPlan

All Known Implementing Classes:
  Component.ValueGenerationPlan

Enclosing class:
  CompositeNestedGeneratedValueGenerator

    public static interface CompositeNestedGeneratedValueGenerator.GenerationPlan

Contract for performing the actual sub-value generation, usually injecting it into the determined `context`

Method Summary
`void` `execute(SessionImplementor session, Object incomingObject, Object injectionContext)` Execute the value generation.
`void` `registerPersistentGenerators(Map generatorMap)` Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

Method Detail

### execute

    void execute(SessionImplementor session,
                 Object incomingObject,
                 Object injectionContext)

  Execute the value generation.

  Parameters:
    `session` - The current session
    `incomingObject` - The entity for which we are generating id
    `injectionContext` - The context into which the generated value can be injected

### registerPersistentGenerators

    void registerPersistentGenerators(Map generatorMap)

  Register any sub generators which implement `PersistentIdentifierGenerator` by their `generatorKey`.

  Parameters:
    `generatorMap` - The map of generators.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.